>From d5879a79a0d083434513df664493ac7a5d9de4b7 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Sun, 21 Aug 2011 15:12:04 +0300
Subject: [carFl mem 56/65] Verbose: use only precompiled verbose value

Interactively changing verbose value would require a lot of work,
so remove it.
Remove unused global variables from pcidev.c

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 cli_classic.c |    2 +-
 cli_output.c  |    1 +
 flash.h       |    1 -
 flashrom.c    |    1 -
 pcidev.c      |    2 --
 programmer.h  |    2 --
 6 files changed, 2 insertions(+), 7 deletions(-)

diff --git a/cli_classic.c b/cli_classic.c
index a7abbd5..5703e6e 100644
--- a/cli_classic.c
+++ b/cli_classic.c
@@ -195,7 +195,7 @@ int cli_classic(globals *g, int argc, char *argv[])
 			g->chip_to_probe = strdup(optarg);
 			break;
 		case 'V':
-			verbose++;
+			msg_gerr("!!Please set verbose at compile time!!\n");
 			break;
 		case 'E':
 			if (++operation_specified > 1) {
diff --git a/cli_output.c b/cli_output.c
index 2a67bea..c94fcb1 100644
--- a/cli_output.c
+++ b/cli_output.c
@@ -24,6 +24,7 @@
 
 int print(int type, const char *fmt, ...)
 {
+	const char verbose = 0;
 	va_list ap;
 	int ret;
 	FILE *output_type;
diff --git a/flash.h b/flash.h
index 4389e0e..e22b7f3 100644
--- a/flash.h
+++ b/flash.h
@@ -205,7 +205,6 @@ enum write_granularity {
 	write_gran_1byte,
 	write_gran_256bytes,
 };
-extern int verbose;
 extern const char flashrom_version[];
 void map_flash_registers(globals *g, struct flashchip *flash);
 int read_memmapped(globals *g, struct flashchip *flash, uint8_t *buf, int start, int len);
diff --git a/flashrom.c b/flashrom.c
index 68f8da5..5f477ac 100644
--- a/flashrom.c
+++ b/flashrom.c
@@ -39,7 +39,6 @@
 #include "programmer.h"
 
 const char flashrom_version[] = "carFl";
-int verbose = 0;
 
 void init_globals(globals *g)
 {
diff --git a/pcidev.c b/pcidev.c
index 2e6bdf0..fd8b78f 100644
--- a/pcidev.c
+++ b/pcidev.c
@@ -24,9 +24,7 @@
 #include "flash.h"
 #include "programmer.h"
 
-uint32_t io_base_addr;
 struct pci_access *pacc;
-struct pci_dev *pcidev_dev = NULL;
 
 enum pci_bartype {
 	TYPE_MEMBAR,
diff --git a/programmer.h b/programmer.h
index 13c15fa..fae0154 100644
--- a/programmer.h
+++ b/programmer.h
@@ -153,9 +153,7 @@ void internal_delay(int usecs);
 
 #if NEED_PCI == 1
 /* pcidev.c */
-extern uint32_t io_base_addr;
 extern struct pci_access *pacc;
-extern struct pci_dev *pcidev_dev;
 struct pcidev_status {
 	uint16_t vendor_id;
 	uint16_t device_id;
-- 
1.7.6

